Bug 460289 - (vldocking) Review Request: vldocking
Review Request: vldocking
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: OmegaT
  Show dependency treegraph
 
Reported: 2008-08-27 08:08 EDT by Ismael Olea
Modified: 2008-10-12 21:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-12 21:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ismael Olea 2008-08-27 08:08:14 EDT
I need a sponsor. 

http://olea.org/tmp/vldocking.spec

http://olea.org/paquetes-rpm/fedora-9/vldocking-2.0.6e-1olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/vldocking-2.0.6e-1olea.noarch.rpm
http://olea.org/paquetes-rpm/fedora-9/vldocking-javadoc-2.0.6e-1olea.noarch.rpm

Description:

Docking windows allow the user to reorganize the application's workspace
according to his needs:

    * Drag and Drop parts of the application ("Dockables")
    * Hide the dockables not often used to save screen space
    * Detach some dockables and have them floating outside the window
    * Easily switch between different workspaces
    * And much more...
Comment 1 Mamoru TASAKA 2008-08-28 12:13:02 EDT
For 2.0.6e-1:

* SourceURL
  - Please write how you can download the tarball you use.
    ! Well, usually SOURCEx must be given by full URL, however
      for this package I cannot find the proper URL (php script perhaps
      redirects to somewhere we cannot see...). So please write
      how to get the source tarball.

* The place of %description
  - On the current spec file:
---------------------------------------------------------------
%package	javadoc
Summary:	Javadocs for %{name}
Group:          Documentation
%description 	javadoc <======= Description begins here !!! ========
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils
This package contains the API documentation for %{name}.

---------------------------------------------------------------
    The current place of %description hides Requires. Please
    fix this.

? Symlinking
  - Would you explain why you want to name the created jar file
    as %{name}-%{version}.jar and to create a symlink, not just
    naming the jar file itself as %{name}.jar?
    ref:
    https://fedoraproject.org/wiki/Packaging/Java#Jar_file_naming

! Duplicate documents
  - %doc License....pdf for -javadoc subpackage is redundant (and
    usually removing these is recommended) as -javadoc subpackage always
    Requires: main package (but please fix %description issue).
Comment 2 Ismael Olea 2008-08-29 17:32:34 EDT
(In reply to comment #1)
> For 2.0.6e-1:
> 
> * SourceURL
>   - Please write how you can download the tarball you use.
>     ! Well, usually SOURCEx must be given by full URL, however
>       for this package I cannot find the proper URL (php script perhaps
>       redirects to somewhere we cannot see...). So please write
>       how to get the source tarball.

I've tried the url too but it's clear there is some magic in the website to not let that.

> * The place of %description
>   - On the current spec file:
> ---------------------------------------------------------------
> %package javadoc
> Summary: Javadocs for %{name}
> Group:          Documentation
> %description  javadoc <======= Description begins here !!! ========

OMG!

fixed.

> Requires: %{name} = %{version}-%{release}
> Requires: jpackage-utils
> This package contains the API documentation for %{name}.
> 
> ---------------------------------------------------------------
>     The current place of %description hides Requires. Please
>     fix this.
> 
> ? Symlinking
>   - Would you explain why you want to name the created jar file
>     as %{name}-%{version}.jar and to create a symlink, not just
>     naming the jar file itself as %{name}.jar?
>     ref:
>     https://fedoraproject.org/wiki/Packaging/Java#Jar_file_naming

I try to mimmic the same practice than binary libraries (*.so). Seems
reasonable for me and I don't see it's agains guidelines.

> 
> ! Duplicate documents
>   - %doc License....pdf for -javadoc subpackage is redundant (and
>     usually removing these is recommended) as -javadoc subpackage always
>     Requires: main package (but please fix %description issue).

fixed!

http://olea.org/tmp/vldocking.spec

http://olea.org/paquetes-rpm/fedora-9/vldocking-2.0.6e-2olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/vldocking-2.0.6e-2olea.noarch.rpm
http://olea.org/paquetes-rpm/fedora-9/vldocking-javadoc-2.0.6e-2olea.noarch.rpm

I'm trying to sync to my website. I'm finding troubles with it.
Comment 3 Mamoru TASAKA 2008-08-30 12:33:38 EDT
For -2

(In reply to comment #2)
> (In reply to comment #1)
> > For 2.0.6e-1:
> > 
> > * SourceURL
> >   - Please write how you can download the tarball you use.
> I've tried the url too but it's clear there is some magic in the website to not
> let that.

  - Well, my comment was unclear. What I meant is that you should write as comments
    how we can download the tarball. So
    * The URL tag can be http://www.vlsolutions.com/en/download/
    * And please write as a comment that the tarball you are using can be downloaded
      from the redirect from http://www.vlsolutions.com/en/download/downloader2_0.php

One cosmetic issue:
W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
  - You are using both tabs and spaces for indentation. Please choose one and not
    using both (for cosmetic issue)
Please fix the issues above when importing to Fedora CVS.
Well,
* This package itself is okay
* Usually a new contributor who needs to get sponsored has to "show that you have an understanding 
  of the process and of the packaging guidelines" as is described on :
  http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
  One of the way to show this is to submit another review request with enough quality.
  For your case I already know your other works which I can admit is enough for sponsoring
  process.

------------------------------------------------------------------------------
              This package (vldocking) is APPROVED by mtasaka
------------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 4 Mamoru TASAKA 2008-09-08 02:40:15 EDT
ping?
Comment 5 Ismael Olea 2008-09-08 03:04:45 EDT
I'll finish all the OmegaT packages as soon I'll get the needed time. Don't worry about this :-)
Comment 6 Ismael Olea 2008-09-17 14:35:17 EDT
(In reply to comment #3)

> > > * SourceURL

redone.

> One cosmetic issue:
> W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)

fixed.

> * This package itself is okay

Nice!

>   For your case I already know your other works which I can admit is enough for
> sponsoring process.

Thanks very much. BTW, I've got another two pending packages yet reviewed:

  https://bugzilla.redhat.com/show_bug.cgi?id=459540
  https://bugzilla.redhat.com/show_bug.cgi?id=428793

:-)

> 
> ------------------------------------------------------------------------------
>               This package (vldocking) is APPROVED by mtasaka
> ------------------------------------------------------------------------------
> 
> Please follow the procedure written on:
> http://fedoraproject.org/wiki/PackageMaintainers/Join
> from "Get a Fedora Account".

I've got the account: olea

> At a point a mail should be sent to sponsor members which notifies
> that you need a sponsor. At the stage, please also write on
> this bug for confirmation that you requested for sponsorship and
> your FAS (Fedora Account System) name. Then I will sponsor you.

Where/who should I write to? Reading http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored seems that I should try contact by contact. Is there any mail alias or maillist where I should write?

> If you want to import this package into Fedora 8/9, you also have
> to look at
> http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
> (after once you rebuilt this package on koji Fedora rebuilding system).

Thanks. I'll consider it.

Thanks very much for your attention and guiding.
Comment 8 Mamoru TASAKA 2008-09-17 14:47:22 EDT
Okay, now I am sponsoring you. Please proceed "Join" wiki again.

(In reply to comment #6)
> > At a point a mail should be sent to sponsor members which notifies
> > that you need a sponsor. At the stage, please also write on
> > this bug for confirmation that you requested for sponsorship and
> > your FAS (Fedora Account System) name. Then I will sponsor you.
> 
> Where/who should I write to? Reading
> http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored seems that I
> should try contact by contact. Is there any mail alias or maillist where I
> should write?

This mail is automatically sent to sponsor members, so don't worry.
Comment 9 Ismael Olea 2008-09-17 16:30:18 EDT
New Package CVS Request
=======================
Package Name:       vldocking
Short Description:  A Java ™ docking system for JFC Swing applications
Owners:             olea
Branches:           F-8 F-9
InitialCC:          mtasaka
Comment 10 Huzaifa S. Sidhpurwala 2008-09-17 23:54:25 EDT
cvs done
Comment 11 Mamoru TASAKA 2008-09-24 12:52:56 EDT
ping?
Comment 12 Ismael Olea 2008-09-26 03:07:23 EDT
I'll get back to my packages ASAP. I'm not forgeting them :-)
Comment 13 Mamoru TASAKA 2008-10-03 02:09:21 EDT
F-10 final freeze is approaching. Please import this (and related packages) as soon as
possible.
Comment 14 Ismael Olea 2008-10-05 22:07:54 EDT
cvs updated
packages build: https://koji.fedoraproject.org/koji/builds?userID=724

Now I'm supposed to push them through bodhi?
Comment 15 Mamoru TASAKA 2008-10-06 03:29:53 EDT
Yes, please. Also please rebuild OmegaT related packages.
If you meet some trouble please let me know it.
Comment 16 Mamoru TASAKA 2008-10-12 21:57:02 EDT
Now closing.

When you think F-8/9 packages can be moved from testing to stable
repositories, please edit the submitted requests on bodhi.

Note You need to log in before you can comment on or make changes to this bug.